Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.cert
Interface CertPathParameters

All Superinterfaces:
  Cloneable

All Known Implementing Classes:
  PKIXBuilderParameters, PKIXParameters

    public interface CertPathParameters

extends Cloneable

A specification of certification path algorithm parameters. The purpose of this interface is to group (and provide type safety for) all `CertPath` parameter specifications. All `CertPath` parameter specifications must implement this interface.

Since:
  1.4
See Also:
  `CertPathValidator.validate(CertPath, CertPathParameters)`, `CertPathBuilder.build(CertPathParameters)`

Method Summary
`Object` | `clone()` Makes a copy of this `CertPathParameters`.

Method Detail

### clone

    Object clone()

  Makes a copy of this `CertPathParameters`. Changes to the copy will not affect the original and vice versa.

  Returns:
    a copy of this `CertPathParameters`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.